<!DOCTYPE html>
<html>

<head>
    <title> Quiz WAD 2019</title>
    <style>
      body 
                  .row {
                display: flex;
            }
    
            .column {
                flex: 50%;
                padding: 10px;
                height: 150px;
            }

            .page {
        width: 210mm;
        height: 235mm;
        padding: 5mm;
        margin: 10mm auto;
        border: 1px #D3D3D3 solid;
        border-radius: 5px;
        background: white;
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
            }
    
            .center {
                display: block;
                margin-left: 10px;
                margin-right: auto;
                width: 40%;
                height: 40%;
            }
    
            button {
               background-color: #ff3333;
      color: white;
      padding: 8px 75px;
      font-size: 15px;
      border:0px;
      border-radius: 40px 40px 40px 40px;
      cursor: pointer;
      padding-bottom: 5px;
      text-align: center;
            }
            .button_style:hover{
  border: 1px solid #b1b1b1;
  box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
     }
        </style>
        <script
    src="https://code.jquery.com/jquery-3.4.1.min.js"
    integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
    crossorigin="anonymous">
    </script>
   
</head>

<div class="page">
  

<body style="background-color: white; font-family: sans-serif; text-align:center; font-size: 100%">
    <br>
    <h style="font-size: 150%; margin-right: 120px"> <b> Aplikasi Quiz WAD 2019 </b></h>
    <br>
    
        <div class="row">
            <div class="column">
                <br>
                <br>
                <img src="http://esd.rg.telkomuniversity.ac.id/wp-content/uploads/sites/11/2017/04/logo_eadLab-300x85.jpg"  width="70%" >
            </div>
            <div class="column" style="background-color:white; color:black; font-family: sans-serif; 
            text-align: left; margin-left: 70px;">
                <form action="#" method="POST" onSubmit="validasi()"> <br> <br>
                    <label> Nama&ensp;: </label> 
                    <input type="text" name="nama" id="nama"> <br> <br>
                    <label> NIM&emsp;   : </label> 
                    <input type="number" name="nim" id="nim">
            </div>
           
        </div>
        <hr>
        <br>

        <div style="text-align: left; font-size: 85%;">
          
               <div class="tanya">
               1. Apakah kepanjangan HTML? </div> 
               <ul style="list-style-type: none">
               <li><input type="radio" id="pertanyaan1" value="a">A. Hypertext Markup Language<br>
               <li><input type="radio" id="pertanyaan1" value="b">B. Hypertext Mockup Language<br>
               <li><input type="radio" id="pertanyaan1" value="c">C. Hypertext Module Language<br> <br>
               </ul>

               <div class="tanya">
               2. HTML yang benar untuk menambahkan warna latar belakang? </div>
               <ul style="list-style-type: none">
               <li><input type="radio" name="pertanyaan2" value="a">A. < body bg = "yellow" > <br>
               <li><input type="radio" name="pertanyaan2" value="b">B. < body background="yellow" ><br>
               <li><input type="radio" name="pertanyaan2" value="c">C. < body style="background-color:yellow;" ><br> <br>
               </ul>
               
               <div class="tanya">
               3. Di dalam elemen HTML manakah kita menempatkan JavaScipt? </div>
               <ul style="list-style-type: none">
               <li><input type="radio" name="pertanyaan3" value="a">A. < scripting > <br>
               <li><input type="radio" name="pertanyaan3" value="b">B. < javascript ><br>
               <li><input type="radio" name="pertanyaan3" value="c">C. < script ><br> <br>
               </ul>

               <div class="tanya">
               4. Bagaimana Anda menulis "Hello World" di sebuah alert box? </div>
               <ul style="list-style-type: none">
               <li><input type="radio" name="pertanyaan4" value="a">A. alert("Hello World") <br>
               <li><input type="radio" name="pertanyaan4" value="b">B. alertBox("Hello World")<br>
               <li><input type="radio" name="pertanyaan4" value="c">C. msg("Hello World") <br> <br>
               </ul>

               <div class="tanya">
               5. Apakah kepanjangan CSS? </div>
               <ul style="list-style-type: none">
               <li><input type="radio" name="pertanyaan5" value="a">A. Cascading Style Sheets  <br>
               <li><input type="radio" name="pertanyaan5" value="b">B. Casading Style Sheets <br>
               <li><input type="radio" name="pertanyaan5" value="c">C. Canvas Style Sheets <br> <br>
               </ul>
            
              </li>
    

        <center><br><br><br>
    
     
     <button class="button_style" onclick="validation()">SUBMIT</button>

     </center>
    
   
</body>
<script type="text/javascript">
  function validasi() {
                var jawab = new Array();
                jawab[1] = $('input:radio[name=pertanyaan1]:checked').val();
                jawab[2] = $('input:radio[name=pertanyaan2]:checked').val();
                jawab[3] = $('input:radio[name=pertanyaan3]:checked').val();
                jawab[4] = $('input:radio[name=pertanyaan4]:checked').val();
                jawab[5] = $('input:radio[name=pertanyaan5]:checked').val();
                var benar = new Array();
                benar[1] = $('input:radio[name=pertanyaa1]:nth(0)').val();
                benar[2] = $('input:radio[name=pertanyaan2]:nth(2)').val();
                benar[3] = $('input:radio[name=pertanyaan3]:nth(2)').val();
                benar[4] = $('input:radio[name=pertanyaan4]:nth(0)').val();
                benar[5] = $('input:radio[name=pertanyaan5]:nth(0)').val();
        var nama = $('#nama').val();
        var nim = $('#nim').val();
    if (nama != "" && nim!="") {
            var hasil = 0;
                    for (i = 0; i < jawab.length; i++) {
                        if (benar[i] == jawab[i]) {
                            hasil++;
                        }
                    }
                    hasil = Math.round((hasil-1)*20);
            alert('Nama : ' +nama + "  " + 'NIM : ' +nim+ "  " + 'Score : ' +hasil);
    }else{
      alert('Lengkapi Data Diri Anda');
        }
        

    }
</script>
</body>
</html>